XFcInetHostEntry class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcInetHostEntry Class Reference

Holds inet address and host name. More...

Inheritance diagram for XFcInetHostEntry:

[legend]
Collaboration diagram for XFcInetHostEntry:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcInetHostEntry ()
| Virtual destructor.

## Static Public Member Functions

XFCIMPORT XFcInetHostEntry * | create ()
| Static constructor.
XFCIMPORT XFcInetHostEntry * | create (const XFcAddress &aAddress)
| Static constructor copying from existing address.
XFCIMPORT XFcInetHostEntry * | create (const XFcName &aName)
| Static constructor copying from existing name.
XFCIMPORT XFcInetHostEntry * | create (const XFcAddress &aAddress, const XFcName &aName)
| Static constructor copying frmo existing address and name.
XFCIMPORT XFcInetHostEntry * | create (const XFcHostEntry &aHostEntry)
| Static constructor copying from existing host entry.

## Protected Member Functions

| XFcInetHostEntry ()
| Protected constructor.
INT | init ()
| Initializes XFcBtHostEntry.
INT | init (const XFcAddress &aAddress)
| Initializes XFcBtHostEntry.
INT | init (const XFcName &aName)
| Initializes XFcBtHostEntry.
INT | init (const XFcAddress &aAddress, const XFcName &aName)
| Initializes XFcBtHostEntry.
INT | init (const XFcHostEntry &aHostEntry)
| Initializes XFcBtHostEntry.

## Detailed Description

Holds inet address and host name.

## Constructor & Destructor Documentation

XFcInetHostEntry::XFcInetHostEntry | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcInetHostEntry::~XFcInetHostEntry | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT XFcInetHostEntry* XFcInetHostEntry::create | ( | const XFcHostEntry & | aHostEntry | ) | `[static]`

Static constructor copying from existing host entry.

Parameters:

  aHostentry | inet host entry.

Returns:
  pointer to new object if succesful, or NULL if unsuccessful.

XFCIMPORT XFcInetHostEntry* XFcInetHostEntry::create | ( | const XFcAddress & | aAddress,
|  | const XFcName & | aName
| ) | `[static]`

Static constructor copying frmo existing address and name.

Parameters:

  aAddress | inet address.
  aName | host name.

Returns:
  pointer to new object if succesful, or NULL if unsuccessful.

XFCIMPORT XFcInetHostEntry* XFcInetHostEntry::create | ( | const XFcName & | aName | ) | `[static]`

Static constructor copying from existing name.

Parameters:

  aName | host name.

Returns:
  pointer to new object if succesful, or NULL if unsuccessful.

XFCIMPORT XFcInetHostEntry* XFcInetHostEntry::create | ( | const XFcAddress & | aAddress | ) | `[static]`

Static constructor copying from existing address.

Parameters:

  aAddress | inet address.

Returns:
  pointer to new object if succesful, or NULL if unsuccessful.

XFCIMPORT XFcInetHostEntry* XFcInetHostEntry::create | ( |  | ) | `[static]`

Static constructor.

Returns:
  pointer to new object if succesful, or NULL if unsuccessful.

INT XFcInetHostEntry::init | ( | const XFcHostEntry & | aHostEntry | ) | `[protected]`

Initializes XFcBtHostEntry.

Parameters:

  aHostEntry | inet host entry.

Returns:
  1 if successful, or 0 otherwise.

INT XFcInetHostEntry::init | ( | const XFcAddress & | aAddress,
|  | const XFcName & | aName
| ) | `[protected]`

Initializes XFcBtHostEntry.

Parameters:

  aAddress | inet address.
  aName | host name.

Returns:
  1 if successful, or 0 otherwise.

INT XFcInetHostEntry::init | ( | const XFcName & | aName | ) | `[protected]`

Initializes XFcBtHostEntry.

Parameters:

  aName | host name.

Returns:
  1 if successful, or 0 otherwise.

INT XFcInetHostEntry::init | ( | const XFcAddress & | aAddress | ) | `[protected]`

Initializes XFcBtHostEntry.

Parameters:

  aAddress | inet address.

Returns:
  1 if successful, or 0 otherwise.

INT XFcInetHostEntry::init | ( |  | ) | `[protected]`

Initializes XFcBtHostEntry.

Returns:
  1 if successful, or 0 otherwise.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch